﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

using System;

namespace SGEWCF2.AlfaWS {
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(ConfigurationName="AlfaWS.EsbOtiInterOpAlfaNetSagePortType")]
    public interface EsbOtiInterOpAlfaNetSagePortType {
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/BDU", ReplyAction="http://tempuri.org/InterOpAlfaNet_SageSoap/BDUResponse")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        string BDU(string Expediente);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ArchivarDocumento", ReplyAction="http://tempuri.org/InterOpAlfaNet_SageSoap/ArchivarDocumentoResponse")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        string ArchivarDocumento(string[] DocumentoCodigo, string SerieCodigo, string user, string password);
        
        // CODEGEN: Parameter 'Archivo' requires additional schema information that cannot be captured using the parameter mode. The specific attribute is 'System.Xml.Serialization.XmlElementAttribute'.
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/Radicar_Tramite", ReplyAction="http://tempuri.org/InterOpAlfaNet_SageSoap/Radicar_TramiteResponse")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        SGEWCF2.AlfaWS.Radicar_TramiteResponse Radicar_Tramite(SGEWCF2.AlfaWS.Radicar_TramiteRequest request);
        
        // CODEGEN: Parameter 'oArchivo' requires additional schema information that cannot be captured using the parameter mode. The specific attribute is 'System.Xml.Serialization.XmlElementAttribute'.
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/AdjuntarImgRad", ReplyAction="http://tempuri.org/InterOpAlfaNet_SageSoap/AdjuntarImgRadResponse")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        SGEWCF2.AlfaWS.AdjuntarImgRadResponse AdjuntarImgRad(SGEWCF2.AlfaWS.AdjuntarImgRadRequest request);
        
        // CODEGEN: Parameter 'oArchivo' requires additional schema information that cannot be captured using the parameter mode. The specific attribute is 'System.Xml.Serialization.XmlElementAttribute'.
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/AdjuntarImgReg", ReplyAction="http://tempuri.org/InterOpAlfaNet_SageSoap/AdjuntarImgRegResponse")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        SGEWCF2.AlfaWS.AdjuntarImgRegResponse AdjuntarImgReg(SGEWCF2.AlfaWS.AdjuntarImgRegRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ConsultaComunicadosXFechaNaturaleza", ReplyAction="http://tempuri.org/InterOpAlfaNet_SageSoap/ConsultaComunicadosXFechaNaturalezaRes" +
            "ponse")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        string[] ConsultaComunicadosXFechaNaturaleza(string vFechaInicial, string vNaturalezaCodigo);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ConsultaComunicadosXTramite", ReplyAction="http://tempuri.org/InterOpAlfaNet_SageSoap/ConsultaComunicadosXTramiteResponse")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        string[] ConsultaComunicadosXTramite(string vDocumentoCodigo, string vExpedienteCodigo);
        
        // CODEGEN: Parameter 'Archivo' requires additional schema information that cannot be captured using the parameter mode. The specific attribute is 'System.Xml.Serialization.XmlElementAttribute'.
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/Registrar_Tramite", ReplyAction="http://tempuri.org/InterOpAlfaNet_SageSoap/Registrar_TramiteResponse")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        SGEWCF2.AlfaWS.Registrar_TramiteResponse Registrar_Tramite(SGEWCF2.AlfaWS.Registrar_TramiteRequest request);
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="Radicar_Tramite", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class Radicar_TramiteRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public string NUI;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=1)]
        public string Nombre;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=2)]
        public string Direccion;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=3)]
        public string Ciudad;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=4)]
        public string Telefono1;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=5)]
        public string Telefono2;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=6)]
        public string Email1;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=7)]
        public string Email2;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=8)]
        public string Fax;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=9)]
        public string Naturaleza;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=10)]
        public string Dependencia;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=11)]
        public string Expediente;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=12)]
        public string Detalle;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=13)]
        public string NombreArchivo;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=14)]
        [System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")]
        public byte[] Archivo;
        
        public Radicar_TramiteRequest() {
        }
        
        public Radicar_TramiteRequest(string NUI, string Nombre, string Direccion, string Ciudad, string Telefono1, string Telefono2, string Email1, string Email2, string Fax, string Naturaleza, string Dependencia, string Expediente, string Detalle, string NombreArchivo, byte[] Archivo) {
            this.NUI = NUI;
            this.Nombre = Nombre;
            this.Direccion = Direccion;
            this.Ciudad = Ciudad;
            this.Telefono1 = Telefono1;
            this.Telefono2 = Telefono2;
            this.Email1 = Email1;
            this.Email2 = Email2;
            this.Fax = Fax;
            this.Naturaleza = Naturaleza;
            this.Dependencia = Dependencia;
            this.Expediente = Expediente;
            this.Detalle = Detalle;
            this.NombreArchivo = NombreArchivo;
            this.Archivo = Archivo;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="Radicar_TramiteResponse", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class Radicar_TramiteResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public string Radicar_TramiteResult;
        
        public Radicar_TramiteResponse() {
        }
        
        public Radicar_TramiteResponse(string Radicar_TramiteResult) {
            this.Radicar_TramiteResult = Radicar_TramiteResult;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="AdjuntarImgRad", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class AdjuntarImgRadRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public string Radicado;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=1)]
        public string NombreArchivo;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=2)]
        [System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")]
        public byte[] oArchivo;
        
        public AdjuntarImgRadRequest() {
        }
        
        public AdjuntarImgRadRequest(string Radicado, string NombreArchivo, byte[] oArchivo) {
            this.Radicado = Radicado;
            this.NombreArchivo = NombreArchivo;
            this.oArchivo = oArchivo;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="AdjuntarImgRadResponse", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class AdjuntarImgRadResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public string AdjuntarImgRadResult;
        
        public AdjuntarImgRadResponse() {
        }
        
        public AdjuntarImgRadResponse(string AdjuntarImgRadResult) {
            this.AdjuntarImgRadResult = AdjuntarImgRadResult;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="AdjuntarImgReg", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class AdjuntarImgRegRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public string Registro;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=1)]
        public string NombreArchivo;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=2)]
        [System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")]
        public byte[] oArchivo;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=3)]
        public string user;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=4)]
        public string password;
        
        public AdjuntarImgRegRequest() {
        }
        
        public AdjuntarImgRegRequest(string Registro, string NombreArchivo, byte[] oArchivo, string user, string password) {
            this.Registro = Registro;
            this.NombreArchivo = NombreArchivo;
            this.oArchivo = oArchivo;
            this.user = user;
            this.password = password;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="AdjuntarImgRegResponse", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class AdjuntarImgRegResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public string AdjuntarImgRegResult;
        
        public AdjuntarImgRegResponse() {
        }
        
        public AdjuntarImgRegResponse(string AdjuntarImgRegResult) {
            this.AdjuntarImgRegResult = AdjuntarImgRegResult;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="Registrar_Tramite", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class Registrar_TramiteRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public string DependenciaRemite;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=1)]
        public string CodDestino;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=2)]
        public string NomDestino;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=3)]
        public string WFTipo;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=4)]
        public string[] RadFuente;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=5)]
        public string Expediente;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=6)]
        public string Naturaleza;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=7)]
        public string SerieDocumental;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=8)]
        public string Detalle;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=9)]
        public string NombreArchivo;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=10)]
        [System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")]
        public byte[] Archivo;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=11)]
        public string MetododeEnvio;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=12)]
        public string guia;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=13)]
        public string archivaren;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=14)]
        public string anexos;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=15)]
        public string copiar;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=16)]
        public string user;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=17)]
        public string password;
        
        public Registrar_TramiteRequest() {
        }
        
        public Registrar_TramiteRequest(
                    string DependenciaRemite, 
                    string CodDestino, 
                    string NomDestino, 
                    string WFTipo, 
                    string[] RadFuente, 
                    string Expediente, 
                    string Naturaleza, 
                    string SerieDocumental, 
                    string Detalle, 
                    string NombreArchivo, 
                    byte[] Archivo, 
                    string MetododeEnvio, 
                    string guia, 
                    string archivaren, 
                    string anexos, 
                    string copiar, 
                    string user, 
                    string password) {
            this.DependenciaRemite = DependenciaRemite;
            this.CodDestino = CodDestino;
            this.NomDestino = NomDestino;
            this.WFTipo = WFTipo;
            this.RadFuente = RadFuente;
            this.Expediente = Expediente;
            this.Naturaleza = Naturaleza;
            this.SerieDocumental = SerieDocumental;
            this.Detalle = Detalle;
            this.NombreArchivo = NombreArchivo;
            this.Archivo = Archivo;
            this.MetododeEnvio = MetododeEnvio;
            this.guia = guia;
            this.archivaren = archivaren;
            this.anexos = anexos;
            this.copiar = copiar;
            this.user = user;
            this.password = password;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="Registrar_TramiteResponse", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class Registrar_TramiteResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public string Registrar_TramiteResult;
        
        public Registrar_TramiteResponse() {
        }
        
        public Registrar_TramiteResponse(string Registrar_TramiteResult) {
            this.Registrar_TramiteResult = Registrar_TramiteResult;
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface EsbOtiInterOpAlfaNetSagePortTypeChannel : SGEWCF2.AlfaWS.EsbOtiInterOpAlfaNetSagePortType, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class EsbOtiInterOpAlfaNetSagePortTypeClient : System.ServiceModel.ClientBase<SGEWCF2.AlfaWS.EsbOtiInterOpAlfaNetSagePortType>, SGEWCF2.AlfaWS.EsbOtiInterOpAlfaNetSagePortType {
        
        public EsbOtiInterOpAlfaNetSagePortTypeClient() {
        }
        
        public EsbOtiInterOpAlfaNetSagePortTypeClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public EsbOtiInterOpAlfaNetSagePortTypeClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public EsbOtiInterOpAlfaNetSagePortTypeClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public EsbOtiInterOpAlfaNetSagePortTypeClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        public string BDU(string Expediente) {
            return base.Channel.BDU(Expediente);
        }
        
        public string ArchivarDocumento(string[] DocumentoCodigo, string SerieCodigo, string user, string password) {
            return base.Channel.ArchivarDocumento(DocumentoCodigo, SerieCodigo, user, password);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        SGEWCF2.AlfaWS.Radicar_TramiteResponse SGEWCF2.AlfaWS.EsbOtiInterOpAlfaNetSagePortType.Radicar_Tramite(SGEWCF2.AlfaWS.Radicar_TramiteRequest request) {
            return base.Channel.Radicar_Tramite(request);
        }
        
        public string Radicar_Tramite(string NUI, string Nombre, string Direccion, string Ciudad, string Telefono1, string Telefono2, string Email1, string Email2, string Fax, string Naturaleza, string Dependencia, string Expediente, string Detalle, string NombreArchivo, byte[] Archivo) {
            SGEWCF2.AlfaWS.Radicar_TramiteRequest inValue = new SGEWCF2.AlfaWS.Radicar_TramiteRequest();
            inValue.NUI = NUI;
            inValue.Nombre = Nombre;
            inValue.Direccion = Direccion;
            inValue.Ciudad = Ciudad;
            inValue.Telefono1 = Telefono1;
            inValue.Telefono2 = Telefono2;
            inValue.Email1 = Email1;
            inValue.Email2 = Email2;
            inValue.Fax = Fax;
            inValue.Naturaleza = Naturaleza;
            inValue.Dependencia = Dependencia;
            inValue.Expediente = Expediente;
            inValue.Detalle = Detalle;
            inValue.NombreArchivo = NombreArchivo;
            inValue.Archivo = Archivo;
            //SGEWCF2.AlfaWS.Radicar_TramiteResponse retVal = ((SGEWCF2.AlfaWS.EsbOtiInterOpAlfaNetSagePortType)(this)).Radicar_Tramite(inValue);
            //return retVal.Radicar_TramiteResult;

            return "";
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        SGEWCF2.AlfaWS.AdjuntarImgRadResponse SGEWCF2.AlfaWS.EsbOtiInterOpAlfaNetSagePortType.AdjuntarImgRad(SGEWCF2.AlfaWS.AdjuntarImgRadRequest request) {
            return base.Channel.AdjuntarImgRad(request);
        }
        
        public string AdjuntarImgRad(string Radicado, string NombreArchivo, byte[] oArchivo) {
            SGEWCF2.AlfaWS.AdjuntarImgRadRequest inValue = new SGEWCF2.AlfaWS.AdjuntarImgRadRequest();
            inValue.Radicado = Radicado;
            inValue.NombreArchivo = NombreArchivo;
            inValue.oArchivo = oArchivo;
            //SGEWCF2.AlfaWS.AdjuntarImgRadResponse retVal = ((SGEWCF2.AlfaWS.EsbOtiInterOpAlfaNetSagePortType)(this)).AdjuntarImgRad(inValue);
            //return retVal.AdjuntarImgRadResult;
            return "OK";
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        SGEWCF2.AlfaWS.AdjuntarImgRegResponse SGEWCF2.AlfaWS.EsbOtiInterOpAlfaNetSagePortType.AdjuntarImgReg(SGEWCF2.AlfaWS.AdjuntarImgRegRequest request) {
            return base.Channel.AdjuntarImgReg(request);
        }
        
        public string AdjuntarImgReg(string Registro, string NombreArchivo, byte[] oArchivo, string user, string password) {
            SGEWCF2.AlfaWS.AdjuntarImgRegRequest inValue = new SGEWCF2.AlfaWS.AdjuntarImgRegRequest();
            inValue.Registro = Registro;
            inValue.NombreArchivo = NombreArchivo;
            inValue.oArchivo = oArchivo;
            inValue.user = user;
            inValue.password = password;
            //SGEWCF2.AlfaWS.AdjuntarImgRegResponse retVal = ((SGEWCF2.AlfaWS.EsbOtiInterOpAlfaNetSagePortType)(this)).AdjuntarImgReg(inValue);
            //return retVal.AdjuntarImgRegResult;
            return "OK";
        }
        
        public string[] ConsultaComunicadosXFechaNaturaleza(string vFechaInicial, string vNaturalezaCodigo) {
            return base.Channel.ConsultaComunicadosXFechaNaturaleza(vFechaInicial, vNaturalezaCodigo);
        }
        
        public string[] ConsultaComunicadosXTramite(string vDocumentoCodigo, string vExpedienteCodigo) {
            //return base.Channel.ConsultaComunicadosXTramite(vDocumentoCodigo, vExpedienteCodigo);
            string[] s = {  "<?xml version=\"1.0\" encoding=\"utf-8\"?>&lt;Root>",
                            "<Documento Nro=\"" + vDocumentoCodigo +  "\"><Archivo Nro=\"1\">E:\\Alfanet\\AlfaNetRepositorioImagenes\\Radicados\\2020\\6\\2020\\6\\2010289061202063Radicacion_Solicitud_Cancelaciones_Junio_PSO4_2020_030620105525.pdf</Archivo><Archivo Nro=\"2\">E:\\Alfanet\\AlfaNetRepositorioImagenes\\Radicados\\2020\\6\\2020\\6\\2010289061202063Solicitud bajas JUNIO (CenturyLink).pdf</Archivo><Expediente>" + vExpedienteCodigo + "</Expediente><Tipo_Documento>1</Tipo_Documento><Detalle_Documento>Radicación de la Solicitud: Cancelaciones_Junio_PSO4_2020, correspondiente al expediente: Cancelaciones_Junio_PSO4_2020</Detalle_Documento></Documento>",
                            "<Documento Nro=\"202056766\"><Expediente>" + vExpedienteCodigo + "</Expediente><Tipo_Documento>2</Tipo_Documento><Detalle_Documento>Notificación de Aprobación de Análisis Administrativo de la Solicitud: CENTURYLINK COLOMBIA S.A.S., correspondiente al expediente: " +  vExpedienteCodigo  + "</Detalle_Documento></Documento>",
                            "<Documento Nro=\"202082530\"><Expediente>" + vExpedienteCodigo + "</Expediente><Tipo_Documento>2</Tipo_Documento><Detalle_Documento>Notificación de Aprobación final de la Solicitud: Cancelaciones_Julio_2020, correspondiente al expediente: 97001637 del cliente: CENTURYLINK COLOMBIA S.A.S.</Detalle_Documento></Documento>",
                            "<Documento Nro=\"202082532\"><Expediente>" + vExpedienteCodigo + "</Expediente><Tipo_Documento>2</Tipo_Documento><Detalle_Documento>Notificación de Aprobación final de la Solicitud: Modificaciones PSO4_2020, correspondiente al expediente: 97001637 del cliente: CENTURYLINK COLOMBIA S.A.S.</Detalle_Documento></Documento>",
                            "<Documento Nro=\"202082533\"><Expediente>" + vExpedienteCodigo + "</Expediente><Tipo_Documento>2</Tipo_Documento><Detalle_Documento>Notificación de Aprobación final de la Solicitud: Nuevas PSO4_2020, correspondiente al expediente: 97001637 del cliente: CENTURYLINK COLOMBIA S.A.S.</Detalle_Documento></Documento>",
                            "<Documento Nro=\"202082534\"><Expediente>" + vExpedienteCodigo + "</Expediente><Tipo_Documento>2</Tipo_Documento><Detalle_Documento>Notificación de Aprobación final de la Solicitud: Cancelaciones_Junio_PSO4_2020, correspondiente al expediente: 97001637 del cliente: CENTURYLINK COLOMBIA S.A.S.</Detalle_Documento></Documento></Root>"
                         };

            return s;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        SGEWCF2.AlfaWS.Registrar_TramiteResponse SGEWCF2.AlfaWS.EsbOtiInterOpAlfaNetSagePortType.Registrar_Tramite(SGEWCF2.AlfaWS.Registrar_TramiteRequest request) {
            return base.Channel.Registrar_Tramite(request);
        }
        
        public string Registrar_Tramite(
                    string DependenciaRemite, 
                    string CodDestino, 
                    string NomDestino, 
                    string WFTipo, 
                    string[] RadFuente, 
                    string Expediente, 
                    string Naturaleza, 
                    string SerieDocumental, 
                    string Detalle, 
                    string NombreArchivo, 
                    byte[] Archivo, 
                    string MetododeEnvio, 
                    string guia, 
                    string archivaren, 
                    string anexos, 
                    string copiar, 
                    string user, 
                    string password) {
            SGEWCF2.AlfaWS.Registrar_TramiteRequest inValue = new SGEWCF2.AlfaWS.Registrar_TramiteRequest();
            inValue.DependenciaRemite = DependenciaRemite;
            inValue.CodDestino = CodDestino;
            inValue.NomDestino = NomDestino;
            inValue.WFTipo = WFTipo;
            inValue.RadFuente = RadFuente;
            inValue.Expediente = Expediente;
            inValue.Naturaleza = Naturaleza;
            inValue.SerieDocumental = SerieDocumental;
            inValue.Detalle = Detalle;
            inValue.NombreArchivo = NombreArchivo;
            inValue.Archivo = Archivo;
            inValue.MetododeEnvio = MetododeEnvio;
            inValue.guia = guia;
            inValue.archivaren = archivaren;
            inValue.anexos = anexos;
            inValue.copiar = copiar;
            inValue.user = user;
            inValue.password = password;
            //SGEWCF2.AlfaWS.Registrar_TramiteResponse retVal = ((SGEWCF2.AlfaWS.EsbOtiInterOpAlfaNetSagePortType)(this)).Registrar_Tramite(inValue);
            //return retVal.Registrar_TramiteResult;

            return DateTime.Now.ToString("HHmmss");
        }
    }
}
